Bug 1026052 - Review Request: rubygem-github-markdown - rubygem to process github markdown [NEEDINFO]
Review Request: rubygem-github-markdown - rubygem to process github markdown
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
: 1026051 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 01:06 EST by Keiran Smith
Modified: 2015-12-03 20:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review?
ktdreyer: needinfo? (affix)


Attachments (Terms of Use)

  None (edit)
Description Keiran Smith 2013-11-03 01:06:35 EST
Spec URL: https://github.com/Affix/RPMs/blob/master/SPECS/rubygem-github-markdown.spec
SRPM URL: https://github.com/Affix/RPMs/blob/master/SRPMS/rubygem-github-markdown-0.6.1-1.fc20.src.rpm?raw=true

Description: 
Just finished packaging a rubygem (github-markdown-0.6.1)

GitHub uses what we're calling "GitHub Flavored Markdown" (GFM) for messages, issues, and comments. It differs from standard Markdown (SM) in a few significant ways and adds some additional functionality.

Fedora Account System Username: affix
Comment 1 Keiran Smith 2013-11-03 01:09:53 EST
*** Bug 1026051 has been marked as a duplicate of this bug. ***
Comment 2 Keiran Smith 2013-11-03 01:15:47 EST
Mock Build.log

Mock Version: 1.1.33
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/rubygem-github-markdown.spec'], False, '/var/lib/mock/fedora-19-x86_64/root/', None, 0, True, False, 1000, 135, None, False, {'LANG': 'en_GB.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x213e3d0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/rubygem-github-markdown.spec'] with env {'LANG': 'en_GB.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
warning: Could not canonicalize hostname: fedora19.affix
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/rubygem-github-markdown-0.6.1-1.fc19.src.rpm
Child return code was: 0
LEAVE do --> 

ENTER do(['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/rubygem-github-markdown.spec'], False, '/var/lib/mock/fedora-19-x86_64/root/', None, 0, True, False, 1000, 135, None, False, {'LANG': 'en_GB.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x213e3d0>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/rubygem-github-markdown.spec'] with env {'LANG': 'en_GB.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Building target platforms: x86_64
Building for target x86_64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.cZbYj4
+ umask 022
+ cd /builddir/build/BUILD
+ cd /builddir/build/BUILD
+ rm -rf rubygem-github-markdown-0.6.1
+ /usr/bin/mkdir -p rubygem-github-markdown-0.6.1
+ cd rubygem-github-markdown-0.6.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
++ pwd
+ TOPDIR=/builddir/build/BUILD/rubygem-github-markdown-0.6.1
+ mkdir tmpunpackdir
+ pushd tmpunpackdir
~/build/BUILD/rubygem-github-markdown-0.6.1/tmpunpackdir ~/build/BUILD/rubygem-github-markdown-0.6.1
+ gem unpack /builddir/build/SOURCES/github-markdown-0.6.1.gem
Unpacked gem: '/builddir/build/BUILD/rubygem-github-markdown-0.6.1/tmpunpackdir/github-markdown-0.6.1'
+ cd github-markdown-0.6.1
+ gem specification -l --ruby /builddir/build/SOURCES/github-markdown-0.6.1.gem
+ gem build github-markdown.gemspec
WARNING:  licenses is empty
  Successfully built RubyGem
  Name: github-markdown
  Version: 0.6.1
  File: github-markdown-0.6.1.gem
+ mv github-markdown-0.6.1.gem /builddir/build/BUILD/rubygem-github-markdown-0.6.1
+ popd
~/build/BUILD/rubygem-github-markdown-0.6.1
+ rm -rf tmpunpackdir
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.T9B0Wh
+ umask 022
+ cd /builddir/build/BUILD
+ cd rubygem-github-markdown-0.6.1
+ mkdir -p ./usr/share/gems
+ CONFIGURE_ARGS='--with-cflags='\''-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic'\'' '
+ gem install -V --local --install-dir ./usr/share/gems --bindir ./usr/bin --force --document=ri,rdoc --backtrace github-markdown-0.6.1.gem
Installing gem github-markdown-0.6.1
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/Rakefile
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/bin/gfm
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/autolink.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/autolink.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/buffer.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/buffer.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/extconf.rb
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/gh-markdown.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/houdini.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/houdini_href_e.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/houdini_html_e.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/html.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/html.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/html_blocks.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/markdown.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/markdown.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/plaintext.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/plaintext.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/stack.c
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/stack.h
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/github-markdown.gemspec
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/lib/github/markdown.rb
/builddir/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1/test/gfm_test.rb
Building native extensions.  This could take a while...
/usr/bin/ruby extconf.rb
creating Makefile
make "DESTDIR="
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o html.o -c html.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o houdini_href_e.o -c houdini_href_e.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o plaintext.o -c plaintext.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o stack.o -c stack.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o gh-markdown.o -c gh-markdown.c
gh-markdown.c: In function 'rndr_blockcode_github':
gh-markdown.c:56:3: warning: implicit declaration of function 'isspace' [-Wimplicit-function-declaration]
   while (i < lang->size && !isspace(lang->data[i]))
   ^
gh-markdown.c:60:14: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
    lang_name = lang->data + 1;
              ^
gh-markdown.c:63:14: warning: pointer targets in assignment differ in signedness [-Wpointer-sign]
    lang_name = lang->data;
              ^
gh-markdown.c:71:5: warning: pointer targets in passing argument 1 of 'rb_enc_str_new' differ in signedness [-Wpointer-sign]
     geefem_str_new(text->data, text->size),
     ^
In file included from gh-markdown.c:20:0:
/usr/include/ruby/encoding.h:100:7: note: expected 'const char *' but argument is of type 'uint8_t * const'
 VALUE rb_enc_str_new(const char*, long, rb_encoding*);
       ^
gh-markdown.c:82:3: warning: implicit declaration of function 'houdini_escape_html0' [-Wimplicit-function-declaration]
   houdini_escape_html0(ob, lang_name, lang_size, 0);
   ^
gh-markdown.c: In function 'rb_ghmd_to_html':
gh-markdown.c:122:440: warning: pointer targets in passing argument 2 of 'sd_markdown_render' differ in signedness [-Wpointer-sign]
  sd_markdown_render(output_buf, RSTRING_PTR(rb_text), RSTRING_LEN(rb_text), md);
                                                                                                                                                                                                                                                                                                                                                                                                                                                        ^
In file included from gh-markdown.c:26:0:
markdown.h:124:1: note: expected 'const uint8_t *' but argument is of type 'char *'
 sd_markdown_render(struct buf *ob, const uint8_t *document, size_t doc_size, struct sd_markdown *md);
 ^
gh-markdown.c:125:2: warning: pointer targets in passing argument 1 of 'rb_enc_str_new' differ in signedness [-Wpointer-sign]
  rb_text = geefem_str_new(output_buf->data, output_buf->size);
  ^
In file included from gh-markdown.c:20:0:
/usr/include/ruby/encoding.h:100:7: note: expected 'const char *' but argument is of type 'uint8_t *'
 VALUE rb_enc_str_new(const char*, long, rb_encoding*);
       ^
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o houdini_html_e.o -c houdini_html_e.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o markdown.o -c markdown.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o autolink.o -c autolink.c
gcc -I. -I/usr/include -I/usr/include/ruby/backward -I/usr/include -I.   -fPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -fvisibility=hidden  -m64 -o buffer.o -c buffer.c
rm -f markdown.so
gcc -shared -o markdown.so html.o houdini_href_e.o plaintext.o stack.o gh-markdown.o houdini_html_e.o markdown.o autolink.o buffer.o -L. -L/usr/lib64 -L. -Wl,-z,relro -fstack-protector -rdynamic -Wl,-export-dynamic  -m64  -lruby  -lpthread -lrt -ldl -lcrypt -lm   -lc
make "DESTDIR=" install
/usr/bin/mkdir -p ./.gem.20131103-11062-17k65b/github
exit > .RUBYARCHDIR.time
/usr/bin/install -c -m 0755 markdown.so ./.gem.20131103-11062-17k65b/github
Successfully installed github-markdown-0.6.1
Parsing documentation for github-markdown-0.6.1
Installing ri documentation for github-markdown-0.6.1
Installing darkfish documentation for github-markdown-0.6.1
Done installing documentation for github-markdown after 0 seconds
1 gem installed
+ pushd ./usr/share/gems/gems/github-markdown-0.6.1
~/build/BUILD/rubygem-github-markdown-0.6.1/usr/share/gems/gems/github-markdown-0.6.1 ~/build/BUILD/rubygem-github-markdown-0.6.1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ popd
~/build/BUILD/rubygem-github-markdown-0.6.1
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.3lhlqD
+ umask 022
+ cd /builddir/build/BUILD
+ '[' /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64 '!=' / ']'
+ rm -rf /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64
++ dirname /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64
+ mkdir -p /builddir/build/BUILDROOT
+ mkdir /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64
+ cd rubygem-github-markdown-0.6.1
+ mkdir -p /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64/usr/share/gems
+ cp -a ./usr/share /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64/usr/
+ chmod 0644 /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64/usr/share/gems/cache/github-markdown-0.6.1.gem
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /builddir/build/BUILD/rubygem-github-markdown-0.6.1
extracting debug info from /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64/usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/markdown.so
extracting debug info from /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64/usr/share/gems/gems/github-markdown-0.6.1/lib/github/markdown.so
*** WARNING: identical binaries are copied, not linked:
        /usr/share/gems/gems/github-markdown-0.6.1/lib/github/markdown.so
   and  /usr/share/gems/gems/github-markdown-0.6.1/ext/markdown/markdown.so
/usr/lib/rpm/sepdebugcrcfix: Updated 2 CRC32s, 0 CRC32s did match.
237 blocks
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: rubygem-github-markdown-0.6.1-1.fc19.x86_64
Provides: markdown.so()(64bit) rubygem(github-markdown) = 0.6.1 rubygem-github-markdown = 0.6.1-1.fc19 rubygem-github-markdown(x86-64) = 0.6.1-1.fc19
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /usr/bin/env libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.3.4)(64bit) libcrypt.so.1()(64bit) libdl.so.2()(64bit) libm.so.6()(64bit) libpthread.so.0()(64bit) librt.so.1()(64bit) libruby.so.2.0()(64bit) rtld(GNU_HASH)
Processing files: rubygem-github-markdown-doc-0.6.1-1.fc19.x86_64
Provides: rubygem-github-markdown-doc = 0.6.1-1.fc19 rubygem-github-markdown-doc(x86-64) = 0.6.1-1.fc19
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Processing files: rubygem-github-markdown-debuginfo-0.6.1-1.fc19.x86_64
Provides: rubygem-github-markdown-debuginfo = 0.6.1-1.fc19 rubygem-github-markdown-debuginfo(x86-64) = 0.6.1-1.fc19
Requires(rpmlib): rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64
warning: Could not canonicalize hostname: fedora19.affix
Wrote: /builddir/build/RPMS/rubygem-github-markdown-0.6.1-1.fc19.x86_64.rpm
Wrote: /builddir/build/RPMS/rubygem-github-markdown-doc-0.6.1-1.fc19.x86_64.rpm
Wrote: /builddir/build/RPMS/rubygem-github-markdown-debuginfo-0.6.1-1.fc19.x86_64.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.taxUJf
+ umask 022
+ cd /builddir/build/BUILD
+ cd rubygem-github-markdown-0.6.1
+ /usr/bin/rm -rf /builddir/build/BUILDROOT/rubygem-github-markdown-0.6.1-1.fc19.x86_64
+ exit 0
Child return code was: 0
LEAVE do -->
Comment 3 Ken Dreyer 2013-11-03 19:54:48 EST
I'll need this for rubygem-github-markup, so I can take this review.

Most importantly: Can you please add the test suite in %check?

Please use HTTPS for the URL and Source0.

Do you need to have the version number comparison (">= 1.3.6") for rubygems and rubygems-devel? If not, I recommend leaving it out.

Does this package need rubygem(rubyforge) and rubygem(rake)? I'm thinking these can be removed from the Requires/BuildRequires.

Is this chmod line necessary?
  chmod 0644 %{buildroot}%{gemdir}/cache/*gem

Are you planning on building for EL5? If not, please remove the %defattr(-, root, root, -) lines under %files.

You're using the old-style EL6 macros, like gemdir or geminstdir. Can you switch this to use the newer styles available in F19? The gem2rpm tool that's available in Fedora 19 should help you. If you're still interested in packaging this for EL6, you can just use backwards-compatible macros.

My suggestion would be to re-run gem2rpm on Fedora 19 for this gem.
Comment 4 Mamoru TASAKA 2013-11-03 23:06:04 EST
And another important thing:
* Please check how ext/ directory should be treated.
  Arch dependent .so file must not be under /usr/share , so this file
  must be moved somewhere (usually %{gem_extdir_mri}/lib )
Comment 5 Achilleas Pipinellis 2013-11-08 16:57:21 EST
Hey Keiran, you can check how I've done it for Fedora 19+ here [0]. And guys, remember that the LICENSE is not shipped with this gem. I haven't found the source code on github so as to open an issue. Also, the current version is 0.6.3.


[0] https://github.com/axilleas/fedora/blob/master/packages/SPECS/rubygem-github-markdown.spec
Comment 6 Ken Dreyer 2013-11-12 16:30:17 EST
Hi Keiran, are you still interested in maintaining this package?

I've emailed GitHub support today about the missing Git repository.
Comment 7 Ken Dreyer 2013-11-22 03:43:35 EST
Hi Keiran, I'm checking again to see if you're still interested in maintaining this package?

You probably saw the email from the developer at GitHub. It seems that while github-markdown is technically available from rubygems.org under the MIT license, GitHub didn't intend it to be an open-source project. The Git repository and issue tracker are not public, and GitHub doesn't recommend that Linux distributions package the software due to expectations of instability.
Comment 8 Ken Dreyer 2013-12-28 12:19:04 EST
Upon closer inspection of the license text in the source code, I think the license is actually "ISC" versus MIT. That will need to be reflected in the spec file.

https://github.com/Affix/RPMs/pull/1
Comment 9 Ken Dreyer 2014-02-16 11:16:57 EST
Hi Keiran, just checking in again to see if you're still interested in maintaining this package?

I was looking at the packaging some more, and one other thing I noticed is that since this is a C extension, it should "Require: ruby", not "Require: ruby(release)".
Comment 10 Ken Dreyer 2014-05-15 21:12:17 EDT
Hi Keiran, we haven't heard from you in a while. Are you still interested in getting this package into Fedora? Achilleas and I will need this gem for GitLab and Gitorious.


We'll want to ship the latest upstream release(0.6.5) in Fedora, update the package for the latest Fedora 21 and Ruby 2.1 guidelines, etc.
Comment 11 Upstream Release Monitoring 2015-12-03 20:06:42 EST
pbrobinson's scratch build of rubygem-ruby-libvirt?#7d89f84f497486cae74535bbce9acee2b56b2a40 for epel7-archbootstrap and git://pkgs.fedoraproject.org/rubygem-ruby-libvirt?#7d89f84f497486cae74535bbce9acee2b56b2a40 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12039225

Note You need to log in before you can comment on or make changes to this bug.